---
http_interactions:
- request:
    method: get
    uri: https://raw.githubusercontent.com/ontohub/ontohub-api-json/develop/theorem.json
    body:
      encoding: US-ASCII
      string: ''
    headers:
      Accept-Encoding:
      - gzip;q=1.0,deflate;q=0.6,identity;q=0.3
      Accept:
      - "*/*"
      User-Agent:
      - Ruby
  response:
    status:
      code: 200
      message: OK
    headers:
      Content-Security-Policy:
      - default-src 'none'
      X-Xss-Protection:
      - 1; mode=block
      X-Frame-Options:
      - deny
      X-Content-Type-Options:
      - nosniff
      Strict-Transport-Security:
      - max-age=31536000
      Etag:
      - '"aaf74a4383a6a6aa3f3a84e71b478332444619e6"'
      Content-Type:
      - text/plain; charset=utf-8
      Cache-Control:
      - max-age=300
      X-Github-Request-Id:
      - 17EB2B14:59C7:42E93E:56964E36
      Content-Length:
      - '551'
      Accept-Ranges:
      - bytes
      Date:
      - Wed, 13 Jan 2016 13:16:39 GMT
      Via:
      - 1.1 varnish
      Connection:
      - keep-alive
      X-Served-By:
      - cache-ams4147-AMS
      X-Cache:
      - MISS
      X-Cache-Hits:
      - '0'
      Vary:
      - Authorization,Accept-Encoding
      Access-Control-Allow-Origin:
      - "*"
      X-Fastly-Request-Id:
      - 3d94f561edc766722f248777ca6bc84a0790942e
      Expires:
      - Wed, 13 Jan 2016 13:21:39 GMT
      Source-Age:
      - '0'
    body:
      encoding: ASCII-8BIT
      string: !binary |-
        ewogICJpZCI6ICJodHRwczovL3Jhdy5naXRodWJ1c2VyY29udGVudC5jb20v
        b250b2h1Yi9vbnRvaHViLWFwaS1qc29uL2RldmVsb3AvdGhlb3JlbS5qc29u
        IyIsCiAgIiRzY2hlbWEiOiAiaHR0cDovL2pzb24tc2NoZW1hLm9yZy9kcmFm
        dC0wNC9zY2hlbWEjIiwKICAidGl0bGUiOiAiVGhlb3JlbSIsCiAgImRlc2Ny
        aXB0aW9uIjogIkEgdGhlb3JlbSBpbnNpZGUgb2YgYW4gb250b2xvZ3kiLAog
        ICJ0eXBlIjogIm9iamVjdCIsCiAgIm9uZU9mIjogWwogICAgewogICAgICAi
        cHJvcGVydGllcyI6IHsKICAgICAgICAiaXJpIjogeyAiJHJlZiI6ICJnZW5l
        cmljL2RlZmluaXRpb25zLmpzb24jL2RlZmluaXRpb25zL2lyaSIgfSwKICAg
        ICAgICAibmFtZSI6IHsKICAgICAgICAgICJkZXNjcmlwdGlvbiI6ICJUaGUg
        bmFtZSBvZiB0aGUgdGhlb3JlbSDigJQgdXN1YWxseSBhdXRvLWdlbmVyYXRl
        ZC4iLAogICAgICAgICAgInR5cGUiOiAic3RyaW5nIgogICAgICAgIH0sCiAg
        ICAgICAgImRlZmluaXRpb24iOiB7CiAgICAgICAgICAiZGVzY3JpcHRpb24i
        OiAiVGhlIGRlZmluaXRpb24gb2YgdGhlIHRoZW9yZW0iLAogICAgICAgICAg
        InR5cGUiOiAic3RyaW5nIgogICAgICAgIH0sCiAgICAgICAgImV2YWx1YXRp
        b25fc3RhdGUiOiB7CiAgICAgICAgICAiZGVzY3JpcHRpb24iOiAiVGhlIGN1
        cnJlbnQgc3RhdGUgb2YgdGhlIHByb29mIGV2YWx1YXRpb24iLAogICAgICAg
        ICAgInR5cGUiOiAic3RyaW5nIiwKICAgICAgICAgICJlbnVtIjogWyAibm90
        X3N0YXJ0ZWRfeWV0IiwgImZhaWxlZCIsICJub19yZXN1bHQiLCAicGVuZGlu
        ZyIsICJwcm9jZXNzaW5nIiwgImRvbmUiIF0KICAgICAgICB9LAogICAgICAg
        ICJwcm9vZl9zdGF0dXMiOiB7ICIkcmVmIjogInJlZmVyZW5jZXMuanNvbiMv
        ZGVmaW5pdGlvbnMvcHJvb2Zfc3RhdHVzIiB9LAogICAgICAgICJvbnRvbG9n
        eSI6IHsgIiRyZWYiOiAicmVmZXJlbmNlcy5qc29uIy9kZWZpbml0aW9ucy9v
        bnRvbG9neSIgfSwKICAgICAgICAic3ltYm9scyI6IHsKICAgICAgICAgICJk
        ZXNjcmlwdGlvbiI6ICJSZWZlcmVuY2UgdG8gYWxsIHN5bWJvbHMgdXNlZCBp
        biB0aGlzIHRoZW9yZW0iLAogICAgICAgICAgIiRyZWYiOiAiZ2VuZXJpYy9k
        ZWZpbml0aW9ucy5qc29uIy9kZWZpbml0aW9ucy9pcmkiCiAgICAgICAgfSwK
        ICAgICAgICAicHJvb2ZfYXR0ZW1wdHMiOiB7CiAgICAgICAgICAiZGVzY3Jp
        cHRpb24iOiAiUmVmZXJlbmNlIHRvIGFsbCBwcm9vZiBhdHRlbXB0cyBmb3Ig
        dGhpcyB0aGVvcmVtIiwKICAgICAgICAgICIkcmVmIjogImdlbmVyaWMvZGVm
        aW5pdGlvbnMuanNvbiMvZGVmaW5pdGlvbnMvaXJpIgogICAgICAgIH0KICAg
        ICAgfSwKICAgICAgInJlcXVpcmVkIjogWwogICAgICAgICJpcmkiLAogICAg
        ICAgICJuYW1lIiwKICAgICAgICAiZGVmaW5pdGlvbiIsCiAgICAgICAgImV2
        YWx1YXRpb25fc3RhdGUiLAogICAgICAgICJwcm9vZl9zdGF0dXMiLAogICAg
        ICAgICJvbnRvbG9neSIsCiAgICAgICAgInN5bWJvbHMiLAogICAgICAgICJw
        cm9vZl9hdHRlbXB0cyIKICAgICAgXQogICAgfSwKICAgIHsKICAgICAgInBy
        b3BlcnRpZXMiOiB7CiAgICAgICAgImlyaSI6IHsgIiRyZWYiOiAiZ2VuZXJp
        Yy9kZWZpbml0aW9ucy5qc29uIy9kZWZpbml0aW9ucy9pcmkiIH0sCiAgICAg
        ICAgIm5hbWUiOiB7CiAgICAgICAgICAiZGVzY3JpcHRpb24iOiAiVGhlIG5h
        bWUgb2YgdGhlIHRoZW9yZW0g4oCUIHVzdWFsbHkgYXV0by1nZW5lcmF0ZWQu
        IiwKICAgICAgICAgICJ0eXBlIjogInN0cmluZyIKICAgICAgICB9LAogICAg
        ICAgICJkZWZpbml0aW9uIjogewogICAgICAgICAgImRlc2NyaXB0aW9uIjog
        IlRoZSBkZWZpbml0aW9uIG9mIHRoZSB0aGVvcmVtIiwKICAgICAgICAgICJ0
        eXBlIjogInN0cmluZyIKICAgICAgICB9LAogICAgICAgICJldmFsdWF0aW9u
        X3N0YXRlIjogewogICAgICAgICAgImRlc2NyaXB0aW9uIjogIlRoZSBjdXJy
        ZW50IHN0YXRlIG9mIHRoZSBwcm9vZiBldmFsdWF0aW9uIiwKICAgICAgICAg
        ICJ0eXBlIjogInN0cmluZyIsCiAgICAgICAgICAiZW51bSI6IFsgImRvbmUi
        LCAiZmFpbGVkIiwgInBlbmRpbmciLCAicHJvY2Vzc2luZyIgXQogICAgICAg
        IH0sCiAgICAgICAgIl9saW5rcyI6IHsgIiRyZWYiOiAiZ2VuZXJpYy9kZWZp
        bml0aW9ucy5qc29uIy9kZWZpbml0aW9ucy9fbGlua3MiIH0KICAgICAgfSwK
        ICAgICAgInJlcXVpcmVkIjogWwogICAgICAgICJpcmkiLAogICAgICAgICJu
        YW1lIiwKICAgICAgICAiZGVmaW5pdGlvbiIsCiAgICAgICAgImV2YWx1YXRp
        b25fc3RhdGUiLAogICAgICAgICJfbGlua3MiCiAgICAgIF0KICAgIH0KICBd
        Cn0K
    http_version: 
  recorded_at: Wed, 13 Jan 2016 13:16:39 GMT
- request:
    method: get
    uri: https://raw.githubusercontent.com/ontohub/ontohub-api-json/develop/generic/definitions.json
    body:
      encoding: US-ASCII
      string: ''
    headers:
      Accept-Encoding:
      - gzip;q=1.0,deflate;q=0.6,identity;q=0.3
      Accept:
      - "*/*"
      User-Agent:
      - Ruby
  response:
    status:
      code: 200
      message: OK
    headers:
      Content-Security-Policy:
      - default-src 'none'
      X-Xss-Protection:
      - 1; mode=block
      X-Frame-Options:
      - deny
      X-Content-Type-Options:
      - nosniff
      Strict-Transport-Security:
      - max-age=31536000
      Etag:
      - '"05f33ad940ee1376f5482f623d6f455d035ce811"'
      Content-Type:
      - text/plain; charset=utf-8
      Cache-Control:
      - max-age=300
      X-Github-Request-Id:
      - 17EB2B23:2C5B:3A6A7C:56964E23
      Content-Length:
      - '947'
      Accept-Ranges:
      - bytes
      Date:
      - Wed, 13 Jan 2016 13:16:39 GMT
      Via:
      - 1.1 varnish
      Connection:
      - keep-alive
      X-Served-By:
      - cache-ams4144-AMS
      X-Cache:
      - HIT
      X-Cache-Hits:
      - '1'
      Vary:
      - Authorization,Accept-Encoding
      Access-Control-Allow-Origin:
      - "*"
      X-Fastly-Request-Id:
      - 9f8c39af67839d211025030e33cb310086e776c7
      Expires:
      - Wed, 13 Jan 2016 13:21:39 GMT
      Source-Age:
      - '19'
    body:
      encoding: UTF-8
      string: |
        {
          "id": "https://raw.githubusercontent.com/ontohub/ontohub-api-json/develop/generic/definitions.json#",
          "$schema": "http://json-schema.org/draft-04/schema#",
          "definitions": {
            "iri": {
              "description": "The IRI of a resource",
              "type": "string",
              "format": "iri",
              "pattern": "^https?://([^.]+[.][^.]+)+/.+$"
            },
            "_links": {
              "description": "A _links-element corresponding to the HAL standard for hypermedia information, adopted from https://github.com/DaveJS/dave.schema.json/blob/master/hal-schema.json",
              "type": "object",
              "additionalProperties": {
                "oneOf": [
                  {
                    "id": "https://raw.githubusercontent.com/ontohub/ontohub-api-json/develop/generic/definitions.json#hal-member",
                    "type": "object",
                    "properties": {
                      "href": {
                        "description": "IRI of a resource",
                        "type": "string",
                        "format": "iri"
                      },
                      "type": {
                        "type": "string",
                        "pattern": "^(application|audio|example|image|message|model|multipart|text|video)\\/[a-zA-Z0-9!#\\$&\\.\\+-\\^_]{1,127}$",
                        "format": "mime",
                        "description": "Hints to the media type of a target resource"
                      },
                      "name": {
                        "type": "string"
                      },
                      "hreflang": {
                        "type": "string",
                        "pattern": "^([a-zA-Z]{2,3}(-[a-zA-Z]{3}(-[a-zA-Z]{3}){0,2})?(-[a-zA-Z]{4})?(-([a-zA-Z]{2}|[0-9]{3}))?(-([a-zA-Z0-9]{5,8}|[0-9][a-zA-Z0-9]{3}))*([0-9A-WY-Za-wy-z](-[a-zA-Z0-9]{2,8}){1,})*(x-[a-zA-Z0-9]{2,8})?)|(x-[a-zA-Z0-9]{2,8})|(en-GB-oed)|(i-ami)|(i-bnn)|(i-default)|(i-enochian)|(i-hak)|(i-klingon)|(i-lux)|(i-mingo)|(i-navajo)|(i-pwn)|(i-tao)|(i-tay)|(i-tsu)|(sgn-BE-FR)|(sgn-BE-NL)|(sgn-CH-DE)|(art-lojban)|(cel-gaulish)|(no-bok)|(no-nyn)|(zh-guoyu)|(zh-hakka)|(zh-min)|(zh-min-nan)|(zh-xiang)$",
                        "description": "Language indication of the target resource"
                      }
                    },
                    "additionalProperties": false,
                    "required": [
                      "href"
                    ]
                  },
                  {
                    "type": "array",
                    "items": [
                      {
                        "$ref": "https://raw.githubusercontent.com/ontohub/ontohub-api-json/develop/generic/definitions.json#hal-member"
                      }
                    ],
                    "uniqueItems": true,
                    "additionalProperties": false
                  }
                ]
              }
            },
            "errors": {
              "description": "Information on the specific errors that occured",
              "type": "array",
              "items": {
                "description": "Information on one of the specific errors that occured",
                "type": "string"
              }
            }
          }
        }
    http_version: 
  recorded_at: Wed, 13 Jan 2016 13:16:39 GMT
- request:
    method: get
    uri: https://raw.githubusercontent.com/ontohub/ontohub-api-json/develop/references.json
    body:
      encoding: US-ASCII
      string: ''
    headers:
      Accept-Encoding:
      - gzip;q=1.0,deflate;q=0.6,identity;q=0.3
      Accept:
      - "*/*"
      User-Agent:
      - Ruby
  response:
    status:
      code: 200
      message: OK
    headers:
      Content-Security-Policy:
      - default-src 'none'
      X-Xss-Protection:
      - 1; mode=block
      X-Frame-Options:
      - deny
      X-Content-Type-Options:
      - nosniff
      Strict-Transport-Security:
      - max-age=31536000
      Etag:
      - '"54fd49ca226b4b028f96117e95333e615b0d1f7b"'
      Content-Type:
      - text/plain; charset=utf-8
      Cache-Control:
      - max-age=300
      X-Github-Request-Id:
      - 17EB2B25:2C57:252DA3:56964E24
      Content-Length:
      - '659'
      Accept-Ranges:
      - bytes
      Date:
      - Wed, 13 Jan 2016 13:16:39 GMT
      Via:
      - 1.1 varnish
      Connection:
      - keep-alive
      X-Served-By:
      - cache-ams4141-AMS
      X-Cache:
      - HIT
      X-Cache-Hits:
      - '1'
      Vary:
      - Authorization,Accept-Encoding
      Access-Control-Allow-Origin:
      - "*"
      X-Fastly-Request-Id:
      - 4d45107c0d4e4358fe8334020f1da8df79f0e6c4
      Expires:
      - Wed, 13 Jan 2016 13:21:39 GMT
      Source-Age:
      - '19'
    body:
      encoding: UTF-8
      string: |
        {
          "id": "https://raw.githubusercontent.com/ontohub/ontohub-api-json/develop/references.json#",
          "$schema": "http://json-schema.org/draft-04/schema#",
          "definitions": {
            "repository": {
              "description": "Reference to a repository",
              "type": "object",
              "properties": {
                "name": {
                  "description": "The name of the repository",
                  "type": "string"
                },
                "iri": { "$ref": "generic/definitions.json#/definitions/iri" }
              }
            },
            "logic": {
              "description": "Reference to a logic",
              "type": "object",
              "properties": {
                "name": {
                  "description": "The name of the logic",
                  "type": "string"
                },
                "iri": { "$ref": "generic/definitions.json#/definitions/iri" }
              }
            },
            "ontology": {
              "description": "Reference to an ontology",
              "type": "object",
              "properties": {
                "name": {
                  "description": "The name of the ontology",
                  "type": "string"
                },
                "iri": { "$ref": "generic/definitions.json#/definitions/iri" }
              }
            },
            "license_model": {
              "description": "Reference to a license model",
              "type": "object",
              "properties": {
                "name": {
                  "description": "The name of the license model",
                  "type": "string"
                },
                "iri": { "$ref": "generic/definitions.json#/definitions/iri" }
              }
            },
            "formality_level": {
              "description": "Reference to a formality level",
              "type": "object",
              "properties": {
                "name": {
                  "description": "The name of the formality level",
                  "type": "string"
                },
                "iri": { "$ref": "generic/definitions.json#/definitions/iri" }
              }
            },
            "ontology_type": {
              "description": "Reference to an ontology type",
              "type": "object",
              "properties": {
                "name": {
                  "description": "The name of the ontology type",
                  "type": "string"
                },
                "iri": { "$ref": "generic/definitions.json#/definitions/iri" }
              }
            },
            "ontology_version": {
              "description": "Reference to an ontology-version",
              "type": "object",
              "properties": {
                "number": {
                  "description": "The version number of the version of the ontology",
                  "type": "integer"
                },
                "iri": { "$ref": "generic/definitions.json#/definitions/iri" }
              }
            },
            "logic_mapping": {
              "description": "Reference to a mapping between logics",
              "type": "object",
              "properties": {
                "iri": { "$ref": "generic/definitions.json#/definitions/iri" }
              }
            },
            "mapping": {
              "description": "Reference to a mapping",
              "type": "object",
              "properties": {
                "name": {
                  "description": "The name of the mapping",
                  "type": "string"
                },
                "iri": { "$ref": "generic/definitions.json#/definitions/iri" }
              }
            },
            "sentence": {
              "description": "Reference to a sentence",
              "type": "object",
              "properties": {
                "name": {
                  "description": "The name of the sentence",
                  "type": "string"
                },
                "iri": { "$ref": "generic/definitions.json#/definitions/iri" }
              }
            },
            "symbol": {
              "description": "Reference to a symbol",
              "type": "object",
              "properties": {
                "name": {
                  "description": "The name of the symbol",
                  "type": "string"
                },
                "iri": { "$ref": "generic/definitions.json#/definitions/iri" }
              }
            },
            "theorem": {
              "description": "Reference to a theorem",
              "type": "object",
              "properties": {
                "name": {
                  "description": "The name of the theorem",
                  "type": "string"
                },
                "iri": { "$ref": "generic/definitions.json#/definitions/iri" }
              }
            },
            "proof_attempt": {
              "description": "Reference to a proof attempt",
              "type": "object",
              "properties": {
                "number": {
                  "description": "The number of the proof attempt relative to its theorem",
                  "type": "integer"
                },
                "iri": { "$ref": "generic/definitions.json#/definitions/iri" }
              }
            },
            "proof_status": {
              "description": "Reference to a proof status",
              "type": "object",
              "properties": {
                "identifier": {
                  "description": "The identifier of the proof status",
                  "type": "string"
                },
                "name": {
                  "description": "The name of the proof status (human-readable)",
                  "type": "string"
                },
                "iri": { "$ref": "generic/definitions.json#/definitions/iri" }
              }
            },
            "prover_output": {
              "description": "Reference to a prover output",
              "type": "object",
              "properties": {
                "iri": { "$ref": "generic/definitions.json#/definitions/iri" }
              }
            },
            "proof_attempt_configuration": {
              "description": "Reference to a proof attempt configuration",
              "type": "object",
              "properties": {
                "iri": { "$ref": "generic/definitions.json#/definitions/iri" }
              }
            },
            "comment": {
              "description": "Reference to comment",
              "type": "object",
              "properties": {
                "iri": { "$ref": "generic/definitions.json#/definitions/iri" }
              }
            },
            "review": {
              "description": "Reference to a review",
              "type": "object",
              "properties": {
                "iri": { "$ref": "generic/definitions.json#/definitions/iri" }
              }
            },
            "task": {
              "description": "Reference to a task",
              "type": "object",
              "properties": {
                "iri": { "$ref": "generic/definitions.json#/definitions/iri" },
                "name": {
                  "description": "The name of the task",
                  "type": "string"
                }
              }
            }
          }
        }
    http_version: 
  recorded_at: Wed, 13 Jan 2016 13:16:39 GMT
recorded_with: VCR 3.0.0
